## org.gnu.gtk
Class ActionEntry

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gtk.ActionEntry

public class ActionEntry
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`ActionEntry(java.lang.String name, java.lang.String stockId, java.lang.String label)`
`ActionEntry(java.lang.String name, java.lang.String stockId, java.lang.String label, java.lang.String accel, java.lang.String tooltip, ActionEntryListener listener)`

Method Summary
`void` `addListener(ActionEntryListener listener)`
`protected static Handle` `allocate()` BEGINNING OF JNI CODE
`protected void` `finalize()`
`protected static void` `free(Handle entry)`
`void` `removeListener(ActionEntryListener listener)`
`protected static void` `setAccelerator(Handle entry, java.lang.String accel)`
`protected static void` `setLabel(Handle entry, java.lang.String label)`
`protected static void` `setName(Handle entry, java.lang.String name)`
`protected static void` `setStockId(Handle entry, java.lang.String stockId)`
`protected static void` `setToolTip(Handle entry, java.lang.String tooltip)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionEntry

    public ActionEntry(java.lang.String name,
                       java.lang.String stockId,
                       java.lang.String label)

### ActionEntry

    public ActionEntry(java.lang.String name,
                       java.lang.String stockId,
                       java.lang.String label,
                       java.lang.String accel,
                       java.lang.String tooltip,
                       ActionEntryListener listener)

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### addListener

    public void addListener(ActionEntryListener listener)

### removeListener

    public void removeListener(ActionEntryListener listener)

### allocate

    protected static final Handle allocate()

  BEGINNING OF JNI CODE

### free

    protected static final void free(Handle entry)

### setName

    protected static final void setName(Handle entry,
                                        java.lang.String name)

### setStockId

    protected static final void setStockId(Handle entry,
                                           java.lang.String stockId)

### setLabel

    protected static final void setLabel(Handle entry,
                                         java.lang.String label)

### setAccelerator

    protected static final void setAccelerator(Handle entry,
                                               java.lang.String accel)

### setToolTip

    protected static final void setToolTip(Handle entry,
                                           java.lang.String tooltip)